• Resolved tblobaum

    (@tblobaum)


    At first the plugin seemed to work okay and I thought the design was very well made.

    I paused development for about 10 hours and when I returned my site was broken.

    Nothing in my php logs and I’m not sure I’m going to turn on debug to see although I saw these errors hundreds of times which I’m certain from the install.

    >The timeout specified has expired
    >Failed to read FastCGI header

    After I disabled the plugin by changing the name of the folder on my server everything came back to life. The plugin had mostly broken the site but once in a while it would load and take 20 seconds to do so.

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author codeSavory

    (@codesavory)

    Hi @tblobaum,

    sorry to hear you had issues with the plugin!
    This is the first report of such an issue so I am not able to say why that would have happened in your case.
    That said, the plugins doesn’t have any process running in the background so if it was working initially I don’t see any reason why it would break the site after 10 hours.
    There are also no queries or functionality that would take 20 seconds to run unless something else is conflicting.
    If you are able to get some more debugging info I’ll be happy to take a look at them.
    Are there other plugins on the site? Can you share a list?
    Thanks

    Thread Starter tblobaum

    (@tblobaum)

    [Sun Jun 13 14:42:06.114360 2021] [proxy_fcgi:error] [pid 7901:tid 140153842562816] [client xxxx:32858] AH01071: Got error ‘PHP message: PHP Warning: require_once(/bitnami/wordpress/wp-content/plugins/basepress/freemius/require.php): failed to open stream: No such file or directory in /bitnami/wordpress/wp-content/plugins/basepress/freemius/start.php on line 482PHP message: PHP Fatal error: require_once(): Failed opening required ‘/bitnami/wordpress/wp-content/plugins/basepress/freemius/require.php’ (include_path=’.:/opt/bitnami/php/lib/php’) in /bitnami/wordpress/wp-content/plugins/basepress/freemius/start.php on line 482′

    Plugin Author codeSavory

    (@codesavory)

    Hi @tblobaum,

    Does this file exist in your installation?
    /bitnami/wordpress/wp-content/plugins/basepress/freemius/require.php

    Plugin Author codeSavory

    (@codesavory)

    Hi,

    I just wanted to add that the issue can be caused by two conditions:

    1. the file doesn’t exist in that location and therefore you have a compromised copy of the plugin. Reinstalling should fix this.

    2. something in the server settings is preventing PHP to access that file. There can be many reason why this would happen so I cannot really say what could be specifically.

    Plugin Author codeSavory

    (@codesavory)

    Hi @tblobaum,

    I haven’t heard from you in a while so I am going to close this ticket but feel free to keep replying if you still need help.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Plugin breaks wordpress’ is closed to new replies.